# Return Subaccount's information

This function lists a single Subaccount's information.

Endpoint: GET /UserManager/lookup_user
Version: 11.137.9999.96
Security: BasicAuth

## Query parameters:

  - `guid` (string, required)
    The Subaccount's unique identifier.
    Example: "EXAMPLE1:EXAMPLE.COM:564CD663%3AFE50072F2620B50988EA4E5F46022546FBE6BDDE3C36C2F2534F4967C661EC37"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "lookup_user"

  - `module` (string)
    The name of the module called.
    Example: "UserManager"

  - `result` (object)

  - `result.data` (object)

  - `result.data.alternate_email` (string,null)
    An alternate email address for the subaccount's user.
    Example: "user@example.com"

  - `result.data.avatar_url` (string,null)
    The user's subaccount profile photo.
    Example: "https://img.example.com/avatars/example.jpg"

  - `result.data.can_delete` (integer)
    Whether the cPanel account user can delete the subaccount.
* 1 - Can delete.
* 0 - Cannot delete.
    Enum: 0, 1

  - `result.data.can_set_password` (integer)
    Whether the cPanel account user can change the subaccount's password.
* 1 - Can change.
* 0 - Cannot change.

Note:

  The function returns a 0 value for subaccounts that inherit their password from the cPanel account.
    Enum: 0, 1

  - `result.data.can_set_quota` (integer)
    Whether the cPanel account user can change the subaccount's disk usage quota.
* 1 - Can change.
* 0 - Cannot change.
    Enum: 0, 1

  - `result.data.dismissed` (integer)
    Whether the cPanel account user dismissed the merge prompt for the service account.
* 1 - Dismissed.
* 0 - Did not dismiss.

Note:

  Only service accounts return this value.
    Enum: 0, 1

  - `result.data.domain` (string,null)
    The subaccount user's associated domain.
    Example: "example.com"

  - `result.data.full_username` (string)
    The subaccount's username and domain name. A valid username, the @ character, and the associated domain.
    Example: "user@example.com"

  - `result.data.guid` (string)
    The subaccount unique identifier.
    Example: "N4641:EXAMPLE.COM:564CC8A7:A82EA007D8348AC631C0170F9418EC1DEB0D164CC5A722A87C55EF5DD2AD98D4"

  - `result.data.has_siblings` (integer)
    Whether the service account shares a full_username value with another service account.
* 1 - Shares.
* 0 - Does not share.
    Enum: 0, 1

  - `result.data.issues` (array)
    Information about any issues or problems with the subaccount.

  - `result.data.issues.area` (string)
    The affected section of cPanel & WHM.
    Example: "quota"

  - `result.data.issues.limit` (integer)
    The set quota megabyte (MB) limit for the affected subaccount.
    Example: 1500

  - `result.data.issues.message` (string)
    The description of the issue.
    Example: "Your account is over quota."

  - `result.data.issues.service` (string)
    The affected service.
    Enum: "email", "ftp", "webdisk"

  - `result.data.issues.type` (string)
    The type of issue.
    Enum: "error", "info", "warning"

  - `result.data.issues.used` (integer)
    The number of megabytes (MB) that the account currently uses.
    Example: 2000

  - `result.data.merge_candidates` (array)
    An array of service account objects that the system could merge for this subaccount.

  - `result.data.parent_type` (string,null)
    The type of account that could own the service account.
* sub - A subaccount.
* hypothetical - A hypothetical subaccount that does not yet exist, but the user could create as part of a merge.
* null - Not a merge candidate.
    Enum: "sub", "hypothetical"

  - `result.data.phone_number` (string,null)
    The subaccount user's phone number. A valid phone number that conforms to [ITU-T's E.164-recommended standard](https://en.wikipedia.org/wiki/ITU-T) for the representation of telephone numbers.
    Example: "+15551234567"

  - `result.data.real_name` (string,null)
    The name of the subaccount's user.
* A first name, a last name, or a first name and last name.
* An empty or null string.
    Example: "John Doe"

  - `result.data.services` (object)
    Information about the subaccount's access to email, FTP, and Web Disk.

  - `result.data.services.email` (object)
    Information that indicates the subaccount's email status.

  - `result.data.services.email.enabled` (integer)
    Whether the subaccount can access Webmail, POP, and IMAP services.
* 1 - Can access.
* 0 - Cannot access.
    Enum: 0, 1

  - `result.data.services.email.quota` (integer)
    The maximum amount of disk space allocated to subaccount's email account, in megabytes (MB).
    Example: 100

  - `result.data.services.ftp` (object)
    This object contains the information that indicates the subaccount's FTP status.

  - `result.data.services.ftp.enabled` (integer)
    Whether the subaccount can access FTP.
* 1 - Can access.
* 0 - Cannot access.
    Enum: 0, 1

  - `result.data.services.ftp.homedir` (string)
    The subaccount's FTP home directory, relative to the cPanel account's home directory.
    Example: "/subaccount"

  - `result.data.services.ftp.quota` (integer)
    The subaccount's FTP disk space quota.
* 1 to 999999 - The maximum disk space that the subaccount may use, in megabytes (MB).
* 0 - Unlimited.
    Example: 100

  - `result.data.services.special` (integer)
    Whether the account is a system-created special account that the user cannot remove.
* 1 - A special account.
* 0 - Not a special account.
    Enum: 0, 1

  - `result.data.services.webdisk` (object)
    This object contains information that indicates the subaccount's Web Disk status.

  - `result.data.services.webdisk.enabled` (integer)
    Whether the subaccount can access Web Disk.
* 1 - Can access.
* 0 - Cannot access.
    Enum: 0, 1

  - `result.data.services.webdisk.enabledigest` (integer)
    Whether the subaccount's Web Disk service has enabled Digest Authentication.
* 1 - Digest Authentication is enabled.
* 0 - Digest Authentication is not enabled.
    Enum: 0, 1

  - `result.data.services.webdisk.homedir` (string)
    The subaccount's Web Disk home directory, relative to the cPanel account's home directory.
    Example: "/bob"

  - `result.data.services.webdisk.perms` (string)
    Whether to grant write permissions to the subaccount.
* ro - Read-only permissions.
* rw - Read and write permissions.
    Enum: "ro", "rw"

  - `result.data.services.webdisk.private` (integer)
    Whether to set the Web Disk directory's permissions to public or private.
* 1 - Private (0700).
* 0 - Public (0755).
    Enum: 0, 1

  - `result.data.special` (integer)
    Whether the account is a system-created special account that the user cannot remove.
* 1 - A special account.
* 0 - Not a special account.
    Enum: 0, 1

  - `result.data.sub_account_exists` (integer)
    Whether a subaccount exists with the same username.
* 1 - Exists.
* 0 - Does not exist.

Note:

  The function returns a null value if the account is not a service account.
    Enum: 0, 1

  - `result.data.synced_password` (integer)
    Whether the user has synchronized the passwords for each of the subaccount's service accounts.
* 1 - Synchronized.
* 0 - Not synchronized.

Note:

  The function returns a null value if the account is not a subaccount.
    Enum: 0, 1

  - `result.data.type` (string)
    The type of account.
* cpanel - The cPanel account.
* hypothetical - A hypothetical subaccount that does not exist, but that the user could create as part of a merge.
* service - A service account.
* sub - A subaccount.
    Enum: "cpanel", "hypothetical", "service", "sub"

  - `result.data.username` (string)
    The username for the subaccount.
    Example: "example"

  - `result.data.dismissed_merge_candidates` (array)
    An array of service account objects that the system dismissed from merges.

  - `result.data.dismissed_merge_candidates.alternate_email` (string,null)
    An alternate email address for the subaccount's user.
    Example: "user@example.com"

  - `result.data.dismissed_merge_candidates.avatar_url` (string,null)
    The user's subaccount profile photo.
    Example: "https://img.example.com/avatars/example.jpg"

  - `result.data.dismissed_merge_candidates.can_delete` (integer)
    Whether the cPanel account user can delete the subaccount.
* 1 - Can delete.
* 0 - Cannot delete.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.can_set_password` (integer)
    Whether the cPanel account user can change the subaccount's password.
* 1 - Can change.
* 0 - Cannot change.

Note:

  The function returns a 0 value for subaccounts that inherit their password from the cPanel account.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.can_set_quota` (integer)
    Whether the cPanel account user can change the subaccount's disk usage quota.
* 1 - Can change.
* 0 - Cannot change.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.dismissed` (integer)
    Whether the cPanel account user dismissed the merge prompt for the service account.
* 1 - Dismissed.
* 0 - Did not dismiss.

Note:

  Only service accounts return this value.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.domain` (string,null)
    The subaccount user's associated domain.
    Example: "example.com"

  - `result.data.dismissed_merge_candidates.full_username` (string)
    The subaccount's username and domain name. A valid username, the @ character, and the associated domain.
    Example: "user@example.com"

  - `result.data.dismissed_merge_candidates.guid` (string)
    The subaccount unique identifier.
    Example: "N4641:EXAMPLE.COM:564CC8A7:A82EA007D8348AC631C0170F9418EC1DEB0D164CC5A722A87C55EF5DD2AD98D4"

  - `result.data.dismissed_merge_candidates.has_siblings` (integer)
    Whether the service account shares a full_username value with another service account.
* 1 - Shares.
* 0 - Does not share.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.issues` (array)
    Information about any issues or problems with the subaccount.

  - `result.data.dismissed_merge_candidates.issues.area` (string)
    The affected section of cPanel & WHM.
    Example: "quota"

  - `result.data.dismissed_merge_candidates.issues.limit` (integer)
    The set quota megabyte (MB) limit for the affected subaccount.
    Example: 1500

  - `result.data.dismissed_merge_candidates.issues.message` (string)
    The description of the issue.
    Example: "Your account is over quota."

  - `result.data.dismissed_merge_candidates.issues.service` (string)
    The affected service.
    Enum: "email", "ftp", "webdisk"

  - `result.data.dismissed_merge_candidates.issues.type` (string)
    The type of issue.
    Enum: "error", "info", "warning"

  - `result.data.dismissed_merge_candidates.issues.used` (integer)
    The number of megabytes (MB) that the account currently uses.
    Example: 2000

  - `result.data.dismissed_merge_candidates.merge_candidates` (array)
    An array of service account objects that the system could merge for this subaccount.

  - `result.data.dismissed_merge_candidates.parent_type` (string,null)
    The type of account that could own the service account.
* sub - A subaccount.
* hypothetical - A hypothetical subaccount that does not yet exist, but the user could create as part of a merge.
* null - Not a merge candidate.
    Enum: "sub", "hypothetical"

  - `result.data.dismissed_merge_candidates.phone_number` (string,null)
    The subaccount user's phone number. A valid phone number that conforms to [ITU-T's E.164-recommended standard](https://en.wikipedia.org/wiki/ITU-T) for the representation of telephone numbers.
    Example: "+15551234567"

  - `result.data.dismissed_merge_candidates.real_name` (string,null)
    The name of the subaccount's user.
* A first name, a last name, or a first name and last name.
* An empty or null string.
    Example: "John Doe"

  - `result.data.dismissed_merge_candidates.services` (object)
    Information about the subaccount's access to email, FTP, and Web Disk.

  - `result.data.dismissed_merge_candidates.services.email` (object)
    Information that indicates the subaccount's email status.

  - `result.data.dismissed_merge_candidates.services.email.enabled` (integer)
    Whether the subaccount can access Webmail, POP, and IMAP services.
* 1 - Can access.
* 0 - Cannot access.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.services.email.quota` (integer)
    The maximum amount of disk space allocated to subaccount's email account, in megabytes (MB).
    Example: 100

  - `result.data.dismissed_merge_candidates.services.ftp` (object)
    This object contains the information that indicates the subaccount's FTP status.

  - `result.data.dismissed_merge_candidates.services.ftp.enabled` (integer)
    Whether the subaccount can access FTP.
* 1 - Can access.
* 0 - Cannot access.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.services.ftp.homedir` (string)
    The subaccount's FTP home directory, relative to the cPanel account's home directory.
    Example: "/subaccount"

  - `result.data.dismissed_merge_candidates.services.ftp.quota` (integer)
    The subaccount's FTP disk space quota.
* 1 to 999999 - The maximum disk space that the subaccount may use, in megabytes (MB).
* 0 - Unlimited.
    Example: 100

  - `result.data.dismissed_merge_candidates.services.special` (integer)
    Whether the account is a system-created special account that the user cannot remove.
* 1 - A special account.
* 0 - Not a special account.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.services.webdisk` (object)
    This object contains information that indicates the subaccount's Web Disk status.

  - `result.data.dismissed_merge_candidates.services.webdisk.enabled` (integer)
    Whether the subaccount can access Web Disk.
* 1 - Can access.
* 0 - Cannot access.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.services.webdisk.enabledigest` (integer)
    Whether the subaccount's Web Disk service has enabled Digest Authentication.
* 1 - Digest Authentication is enabled.
* 0 - Digest Authentication is not enabled.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.services.webdisk.homedir` (string)
    The subaccount's Web Disk home directory, relative to the cPanel account's home directory.
    Example: "/bob"

  - `result.data.dismissed_merge_candidates.services.webdisk.perms` (string)
    Whether to grant write permissions to the subaccount.
* ro - Read-only permissions.
* rw - Read and write permissions.
    Enum: "ro", "rw"

  - `result.data.dismissed_merge_candidates.services.webdisk.private` (integer)
    Whether to set the Web Disk directory's permissions to public or private.
* 1 - Private (0700).
* 0 - Public (0755).
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.special` (integer)
    Whether the account is a system-created special account that the user cannot remove.
* 1 - A special account.
* 0 - Not a special account.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.sub_account_exists` (integer)
    Whether a subaccount exists with the same username.
* 1 - Exists.
* 0 - Does not exist.

Note:

  The function returns a null value if the account is not a service account.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.synced_password` (integer)
    Whether the user has synchronized the passwords for each of the subaccount's service accounts.
* 1 - Synchronized.
* 0 - Not synchronized.

Note:

  The function returns a null value if the account is not a subaccount.
    Enum: 0, 1

  - `result.data.dismissed_merge_candidates.type` (string)
    The type of account.
* cpanel - The cPanel account.
* hypothetical - A hypothetical subaccount that does not exist, but that the user could create as part of a merge.
* service - A service account.
* sub - A subaccount.
    Enum: "cpanel", "hypothetical", "service", "sub"

  - `result.data.dismissed_merge_candidates.username` (string)
    The username for the subaccount.
    Example: "example"

  - `result.data.has_expired_invite` (integer)
    Whether an expired account login invitation exists.
* 1 - Expired account invitation exists.
* 0 - Expired account invitation does not exist.
    Enum: 0, 1

  - `result.data.has_invite` (integer)
    Whether an account login invitation exists.
* 1 -  Account invitation exists.
* 0 -  Account invitation does not exist.
    Enum: 0, 1

  - `result.data.invite_expiration` (integer,null)
    When the invitation expires.
    Example: 1591718154

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


